Snow Leopard, Windows 7 Upgrade Problems

Quicken 2006 doesn’t run under Windows 7 and there will not be a Mac version until 2010.

I can’t get Hugs or Mercurial running under Snow Leopard due to architecture incompatibilities (32- vs 64-bit) in various support libraries. It’s frustrating wasting so much time downloading, building, tracking dependencies, etc. Especially since these are both essentially optional tools, and not directly related to the bottom line.

Update: According to Ports wiki :

An installation of MacPorts and the ports installed by it are only designed to work on a single OS release and a single CPU architecture. If you upgrade to a new OS version (e.g. from Leopard to Snow Leopard) or migrate to a new machine with a different type of CPU (e.g. PowerPC to Intel), you may get lucky and have your ports keep working, but in general, things will break.

And the solution is “reinstall all your ports”. Argh.

div>